RT_TBX_URGENT(8)

NAME
rt_tbx_urgent - send message unconditionally with high priority

SYNOPSIS
#include <rtai_sched.h>

int rt_tbx_urgent(TBX *tbx, void *msg, int msg_size);

DESCRIPTION
rt_tbx_urgent sends a message msg of msg_size bytes to the typed mailbox tbx. The caller will be blocked until the whole message is inserted in tbx or an error occurs. The message is inserted in the head of the queue so it will be immediately read before the other messages already present in the mailbox.

RETURN VALUES
0 is returned in case of message regularly sent, otherwise msg_size is returned. On failure a negative value is returned as described below.

ERRORS
-EINVAL tbx points to an invalid typed mailbox. -EMSGSIZE msg_size is bigger than the size of the entire mailbox.